%define staticdevelname %mklibname %{name} -d -s

Summary:	Advanced IP routing and network device configuration tools
Name:		iproute2
Version:	6.6.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Other
Url:		https://wiki.linuxfoundation.org/networking/iproute2
Source0:	https://www.kernel.org/pub/linux/utils/net/iproute2/%{name}-%{version}.tar.xz
# RH patches
# MGA patches
Patch109:	iproute2-3.9.0-IPPROTO_IP_for_SA.patch
Patch110:	iproute2-6.6.0-q_atm-ld-uneeded.patch
BuildRequires:	bison
BuildRequires:	db5.3-devel
BuildRequires:	flex
BuildRequires:	kernel-userspace-headers >= %{version}
BuildRequires:	linuxdoc-tools
BuildRequires:	linux-atm-devel
BuildRequires:	pkgconfig(xtables)
Buildrequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(libbpf)
BuildRequires:	texlive
BuildRequires:	texlive-texmf
# For compatibility with Fedora:
Provides:	iproute = %{version}-%{release}
Requires:	iputils

%description
The iproute package contains networking utilities (ip, tc and rtmon, for
example) which are designed to use the advanced networking capabilities of the
Linux 2.2.x kernels and later,  such as policy routing, fast NAT and packet
scheduling.

%package -n %{staticdevelname}
Summary:	Development files for iproute2
Group:		Development/C
Provides:	iproute2-devel = %{version}-%{release}

%description -n	%{staticdevelname}
The iproute package contains networking utilities (ip, tc and rtmon, for
example) which are designed to use the advanced networking capabilities of the
Linux 2.2.x kernels and later,  such as policy routing, fast NAT and packet
scheduling.

This package contains development files for iproute2.

%package doc
Summary:	Documentation for Advanced IP routing and network device configuration tools
Group:		Networking/Other

%description doc
Documentation for iproute2.

%prep

%setup -q
%autopatch -p1


%build
%serverbuild
%set_build_flags
%configure
%make_build

%install
export SBINDIR=/sbin
export LIBDIR='%{_libdir}'
%make_install

# libnetlink
install -D -m644 include/libnetlink.h %{buildroot}%{_includedir}/libnetlink.h
install -D -m644 lib/libnetlink.a %{buildroot}%{_libdir}/libnetlink.a

%files
%dir %{_libdir}/iproute2
%attr(644,root,root) %config(noreplace) %{_libdir}/iproute2/*
/sbin/*
/%{_libdir}/tc
%{_mandir}/man3/*
%{_mandir}/man7/*
%{_mandir}/man8/*
%{_datadir}/bash-completion/completions/devlink
%{_datadir}/bash-completion/completions/tc

%files -n %{staticdevelname}
%{_includedir}/*.h
%{_includedir}/iproute2/bpf_elf.h
/%{_libdir}/*.a

%files doc
%doc README


%changelog
* Wed Feb 14 2024 ns80 <ns80> 6.6.0-1.mga9
+ Revision: 2041132
- new version 6.6.0 (mga#32813)

* Wed Nov 23 2022 tv <tv> 6.0.0-0.1.mga9
+ Revision: 1910408
- New version
- Use rpm configure/build/install rpm macros

* Wed Aug 10 2022 wally <wally> 5.15.0-3.mga9
+ Revision: 1876678
- rebuild for libbpf with lib major 1

* Fri Apr 01 2022 umeabot <umeabot> 5.15.0-2.mga9
+ Revision: 1840063
- Mageia 9 Mass Rebuild

* Tue Nov 09 2021 tmb <tmb> 5.15.0-1.mga9
+ Revision: 1755229
- update to 5.15.0

* Wed Jul 14 2021 tmb <tmb> 5.13.0-1.mga9
+ Revision: 1736012
- enable libbpf support
- update to 5.13.0

* Mon Dec 21 2020 tmb <tmb> 5.10.0-1.mga8
+ Revision: 1662583
- update to 5.10.0

* Sun Oct 18 2020 luigiwalser <luigiwalser> 5.9.0-1.mga8
+ Revision: 1636671
- 5.9.0

* Tue Aug 11 2020 luigiwalser <luigiwalser> 5.8.0-1.mga8
+ Revision: 1613448
- 5.8.0

* Tue Aug 11 2020 ovitters <ovitters> 5.7.0-2.mga8
+ Revision: 1613349
- add provide for iproute for Fedora compatibility

* Sun Jul 26 2020 luigiwalser <luigiwalser> 5.7.0-1.mga8
+ Revision: 1609109
- 5.7.0

* Fri Apr 17 2020 tmb <tmb> 5.6.0-1.mga8
+ Revision: 1568495
- update to 5.6.0

* Tue Feb 18 2020 umeabot <umeabot> 5.5.0-2.mga8
+ Revision: 1539210
- Mageia 8 Mass Rebuild

* Sat Feb 15 2020 tmb <tmb> 5.5.0-1.mga8
+ Revision: 1526579
- update to 5.5.0
+ wally <wally>
- replace deprecated %%setup_compile_flags
- replace deprecated %%makeinstall_std

* Mon Dec 02 2019 tmb <tmb> 5.4.0-1.mga8
+ Revision: 1463994
- update filelists
- update to 5.4.0

* Sat Oct 05 2019 tmb <tmb> 5.3.0-1.mga8
+ Revision: 1449720
- update 5.3.0

* Fri Aug 23 2019 tmb <tmb> 5.2.0-1.mga8
+ Revision: 1431496
- update to 5.2.0

* Sat May 11 2019 tmb <tmb> 5.1.0-1.mga7
+ Revision: 1397215
- update to 5.1.0

* Tue Mar 19 2019 tmb <tmb> 5.0.0-1.mga7
+ Revision: 1378978
- update to 5.0.0

* Sun Jan 13 2019 tmb <tmb> 4.20.0-1.mga7
+ Revision: 1356055
- rediff P110
- update to 4.20.0

* Sat Nov 10 2018 tmb <tmb> 4.19.0-1.mga7
+ Revision: 1329411
- update to 4.19.0

* Sat Aug 25 2018 tmb <tmb> 4.18.0-1.mga7
+ Revision: 1254497
- update to 4.18.0

* Thu Nov 23 2017 tmb <tmb> 4.14.1-1.mga7
+ Revision: 1178920
- update to 4.14.1

* Sun Jan 01 2017 luigiwalser <luigiwalser> 4.9.0-1.mga6
+ Revision: 1078960
- 4.9.0

* Fri Nov 11 2016 luigiwalser <luigiwalser> 4.8.0-1.mga6
+ Revision: 1066528
- 4.8.0

* Thu Aug 11 2016 luigiwalser <luigiwalser> 4.7.0-1.mga6
+ Revision: 1045502
- 4.7.0
- rediff patch 110

* Wed May 25 2016 luigiwalser <luigiwalser> 4.6.0-1.mga6
+ Revision: 1018528
- 4.6.0

* Mon May 02 2016 tv <tv> 4.5.0-1.mga6
+ Revision: 1008693
- use %%_libdir consistently
- define properly a variable rather than rediffing a very old patch
- new release

* Thu Jan 14 2016 luigiwalser <luigiwalser> 4.4.0-1.mga6
+ Revision: 922951
- 4.4.0
+ tv <tv>
- switch to pkgconfig() BRs

* Thu Oct 08 2015 blino <blino> 4.2.0-2.mga6
+ Revision: 887688
- fix build when multiple db-devel packages are installed

* Fri Oct 02 2015 tmb <tmb> 4.2.0-1.mga6
+ Revision: 885684
- update to 4.2.0

* Fri Aug 21 2015 tmb <tmb> 4.1.1-2.mga6
+ Revision: 867522
- rebuild for new gcc

* Tue Jul 07 2015 tmb <tmb> 4.1.1-1.mga6
+ Revision: 852643
- update to 4.1.1
  * rebase P8

* Fri Mar 06 2015 tmb <tmb> 3.19.0-1.mga5
+ Revision: 817946
- 3.19.0 (in sync with core kernel)

* Thu Dec 25 2014 tmb <tmb> 3.18.0-1.mga5
+ Revision: 805899
- update to 3.18.0

* Wed Oct 22 2014 tmb <tmb> 3.16.0-1.mga5
+ Revision: 792445
- update to 3.16

* Wed Oct 15 2014 umeabot <umeabot> 3.15.0-3.mga5
+ Revision: 751051
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.15.0-2.mga5
+ Revision: 680543
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 tv <tv> 3.15.0-1.mga5
+ Revision: 664714
- rediff patch 0
- rollback from 3.16 to 3.15 as we don't have kernel-userspace-headers-3.16.0 yet
- new release

* Sat Nov 23 2013 tmb <tmb> 3.12.0-1.mga4
+ Revision: 552445
- update to 3.12.0 (matching release kernel)

* Mon Oct 21 2013 umeabot <umeabot> 3.11.0-2.mga4
+ Revision: 541011
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 luigiwalser <luigiwalser> 3.11.0-1.mga4
+ Revision: 494956
- 3.11.0

* Mon Jul 29 2013 tmb <tmb> 3.10.0-1.mga4
+ Revision: 460397
- update to 3.10.0
+ tv <tv>
- new release
- rediff patches

* Sat Jan 12 2013 umeabot <umeabot> 3.7.0-2.mga3
+ Revision: 354458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 tmb <tmb> 3.7.0-1.mga3
+ Revision: 339768
- update to 3.7.0

* Mon Jul 30 2012 tv <tv> 3.3.0-4.mga3
+ Revision: 276258
- fix build with db-5.3
- rebuild for db-5.3

* Thu Jun 14 2012 tv <tv> 3.3.0-2.mga3
+ Revision: 260485
- fix build with new db5.2
- build with db5.2

* Tue Mar 20 2012 tmb <tmb> 3.3.0-1.mga2
+ Revision: 224980
- build with libnl3
- update to 3.3.0 (mostly fixes, header sync with kernel 3.3)

* Fri Jan 06 2012 tmb <tmb> 3.2.0-1.mga2
+ Revision: 192632
- rediff patches to apply cleanly
- drop P107 (fixed differently)
- drop P108 (merged)
- add BR libnl-devel
- update filelists
- require kernel-userspace-headers with proper name and version
- update to 3.2.0
- drop defattr

* Sun Mar 20 2011 tmb <tmb> 2.6.38-1.mga1
+ Revision: 74978
- update to 2.6.38
+ rtp <rtp>
- use kernel-headers to build the rpm. No userspace soft should need kernel-source

* Sat Jan 15 2011 alien <alien> 2.6.37-2.mga1
+ Revision: 18308
- Drop old macro
- Remove BuildRoot
- imported package iproute2


* Fri Jan 07 2011 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.6.37-1mdv2011.0
+ Revision: 629671
- Updated to version 2.6.37
- Rediffed libdir patch.
- Redid format_not_a_string_literal_and_no_format_arguments patch,
  renamed to iproute2-2.6.31-error-format-security.patch

* Sun Aug 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.34-1mdv2011.0
+ Revision: 564181
- update to new version 2.6.34
- rediff patch 110

* Thu Feb 25 2010 Thomas Backlund <tmb@mandriva.org> 2.6.33-1mdv2010.1
+ Revision: 511233
- update to 2.6.33

* Tue Jan 05 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.6.31-1mdv2010.1
+ Revision: 486443
- Updated to 2.6.31
- Drop iproute2-2.6.29-1-display_ip4ip6tunnels.patch (merged).
- Fix up iproute2-2.6.28-format_not_a_string_literal_and_no_format_arguments.patch
  (drop uneeded hunks with 2.6.31, fix snprintf usage)
- Rediffed libdir patch.
- Fix q_atm.so build with Mandriva default linker flags.

* Wed Dec 30 2009 Pascal Terjan <pterjan@mandriva.org> 2.6.29.1-2mdv2010.1
+ Revision: 484227
- Disable parallel build for doc

* Sat Jun 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.29.1-1mdv2010.0
+ Revision: 387461
- update to new version 2.6.29-1
- Patch8: rediff
- Patch109: shared SA for different protocols
- Patch110: display ipv4 to ipv6 tunnels
- correctly export path to iptables
- add buildrequires on iptables-devel

* Thu Apr 02 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.6.28-2mdv2009.1
+ Revision: 363604
- Do not overwrite current man files with old ones (#49122).

* Thu Jan 29 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.28-1mdv2009.1
+ Revision: 335287
- fix url
- Patch8: rediff and merge with patch 101
- drop patch 6 and 105, fixed differently by upstream
- Patch107: fix segfault (Fedora)
- do not remove q_atm.so
- compile with %%ldflags
- since this release everything goes to /%%_lib instead of %%_libdir
- fixed path to iptables libraries
- update to new version 2.6.28

* Mon Dec 15 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.26-2mdv2009.1
+ Revision: 314493
- rediffed the fuzzy P100 patch
- rebuilt against db4.7

* Wed Jul 30 2008 Olivier Blin <oblin@mandriva.com> 2.6.26-1mdv2009.0
+ Revision: 255581
- workaround weird upstream DESTDIR fix
- allow to override ccopts (feature was incorrectly included in libdir patch previously)
- rediff libdir patch
- 2.6.26

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - looks like i forgot to merge iproute2 branch with current
    - Patch8: rediff
    - build with %%serverbuild macro
    - set iptables path

* Sat Jul 12 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.25-4mdv2009.0
+ Revision: 234061
- fix libified devel package naming

* Sat Jul 12 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.25-3mdv2009.0
+ Revision: 234014
- bump release
- fix #41971

  + Olivier Blin <oblin@mandriva.com>
    - 2.6.25
    - rediff libdir patch
    - remove merged oldkernel patch

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - add upstream patch for compatibility with old kernels (fix #40629)

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.6.25-1mdv2009.0
+ Revision: 140782
- restore BuildRoot

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.6.23-1mdv2008.1
+ Revision: 136513
- replace our libdir patch with one from Cross LFS
- 2.6.23

* Fri Dec 21 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.20-2mdv2008.1
+ Revision: 136275
- rebuilt against bdb 4.6 libs

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 31 2007 Christiaan Welvaart <spturtle@mandriva.org> 2.6.20-1mdv2008.0
+ Revision: 33147
- release 070313
- drop version from kernel-source build dependency because the provides are not versioned

  + Olivier Blin <oblin@mandriva.com>
    - update url


* Sat Dec 09 2006 Olivier Blin <oblin@mandriva.com> 2.6.16-4mdv2007.0
+ Revision: 94021
- use RH patch to fix libdir in tc
- fix x86_64 build
- install arpd as iproute-arpd (#27531)
- use make install to simplify (and to install ifstat, lnstat, rtpr, and more doc)

  + Michael Scherer <misc@mandriva.org>
    - Import iproute2

* Sun Apr 09 2006 Michael Scherer <misc@mandriva.org> 2.6.16-3mdk
- also add distribution table

* Sun Apr 09 2006 Michael Scherer <misc@mandriva.org> 2.6.16-2mdk
- add missing lib, fix #21921

* Fri Apr 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.6.16-1mdk
- new release

* Wed Jan 25 2006 Samir Bellabes <sbellabes@mandriva.com> 2.6.15-3mdk
- add /sbin/ss

* Fri Jan 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.15-2mdk
- add BuildRequires: flex

* Thu Jan 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.6.15-1mdk
- 20060110 snapshot

* Sat Jun 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.10-2mdk
- 20050607 snapshot

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.10-1mdk
- 20050124 snapshot

* Thu Jan 06 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.9-1mdk
- 20041019 snapshot

* Mon Aug 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-3mdk
- 20040823 snapshot

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-2mdk
- 20040730 snapshot

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-1mdk
- 20040702 snapshot

* Wed Jul 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.7-4mdk
- new snapshot
- fix buildrequires
- kill patches 4, 9
- redo patch 6, 106

* Fri Jul 02 2004 Pixel <pixel@mandrakesoft.com> 2.6.7-3mdk
- move documentation to iproute2-doc 
  (for space since iproute2 is always installed since it is required by initscripts)

* Sat Jun 26 2004 Stefan van der Eijk <stefan@mandrake.org> 2.6.7-2mdk
- BuildRequires: bison linuxdoc-tools

* Fri Jun 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.7-1mdk
- new release
- kill patches 1, 2, 8, 103, 104 (merged upstream)
- disable patch 105 for now
- patch 106: fix build with libdb-4.1
- fix buildrequires

